> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Address

> Get the details of a specific address.



## OpenAPI

````yaml /api-reference/openapi.json get /addresses/{address_id}
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /addresses/{address_id}:
    get:
      tags:
        - Address
      summary: Get Address
      description: Get the details of a specific address.
      operationId: get_address_addresses__address_id__get
      parameters:
        - name: address_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: The ID of the address
            description: The unique identifier of the address to fetch the details for.
            examples:
              - d064ba47-d345-47b5-937a-22893366b22a
          description: The unique identifier of the address to fetch the details for.
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1.AddressResponse'
            application/vnd.baselayer.v1+json:
              schema:
                $ref: '#/components/schemas/v1.AddressResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.AddressResponse:
      description: >-
        Response model for address data.


        This model defines the complete structure for address-related API
        responses.
      properties:
        id:
          description: The ID of the address
          format: uuid
          title: Id
          type: string
        primary_number:
          description: The primary number of the address
          examples:
            - '94941'
          title: Primary Number
          type: string
        street_name:
          description: The street name
          examples:
            - Harrison Drive
          title: Street Name
          type: string
        street_predirection:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The street predirection e.g. N 5th St
          examples:
            - North
            - West
          title: Street Predirection
        street_postdirection:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The street postdirection e.g. 5th St NW
          examples:
            - South
            - East
          title: Street Postdirection
        street_suffix:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The street suffix e.g. St, Ave, Blvd, etc.
          examples:
            - St
            - Ave
            - Blvd
          title: Street Suffix
        secondary_number:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The secondary number of the address e.g. Apt, Suite, etc.
          examples:
            - '517'
            - '2026'
            - '112'
          title: Secondary Number
        secondary_designator:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The secondary designator of the address e.g. Apartment, Suite etc.
          examples:
            - Apartment
            - Suite
            - Unit
          title: Secondary Designator
        pmb_designator:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The Private Mailbox Designator
          title: Pmb Designator
        pmb_number:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The Private Mailbox Number
          title: Pmb Number
        city:
          description: The city name
          examples:
            - Wilsonside
            - Fayettesville
          title: City
          type: string
        state:
          $ref: '#/components/schemas/v1.StateAbbreviation'
          description: The state 2 letter abbreviation
        zipcode:
          description: The 5 digit zipcode
          examples:
            - '90210'
            - '31337'
          title: Zipcode
          type: string
        plus4_code:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The 4 digit zipcode extension
          title: Plus4 Code
        rdi:
          anyOf:
            - $ref: '#/components/schemas/v1.AddressRDI'
            - type: 'null'
          default: null
          description: Residential Delivery Indicator
        cmra:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: Whether the address is a Commercial Mail Receiving Agency
          title: Cmra
        deliverable:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: Whether the address is deliverable
          title: Deliverable
        latitude:
          description: The latitude of the address
          examples:
            - 38.03012
          title: Latitude
          type: number
        longitude:
          description: The longitude of the address
          examples:
            - 78.47665
          title: Longitude
          type: number
        associated_registered_agents:
          default: []
          description: >-
            All registered agents that have ever been associated with this
            address
          items:
            type: string
          title: Associated Registered Agents
          type: array
        delivery_type:
          anyOf:
            - $ref: '#/components/schemas/v1.USPSDeliveryType'
            - type: 'null'
          default: null
          description: The delivery type of the address
      required:
        - id
        - primary_number
        - street_name
        - city
        - state
        - zipcode
        - latitude
        - longitude
      title: AddressResponse (v1)
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    v1.StateAbbreviation:
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - DC
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
        - PR
        - VI
        - AE
        - AA
        - AP
        - GU
        - AS
      title: StateAbbreviation
      type: string
    v1.AddressRDI:
      enum:
        - Residential
        - Commercial
      title: AddressRDI
      type: string
    v1.USPSDeliveryType:
      description: |-
        Enum representing the different types of USPS delivery points.
        Used to classify addresses based on how mail is delivered to them.
      enum:
        - FIRM
        - GENERAL_DELIVERY
        - HIGH_RISE
        - POST_OFFICE
        - RURAL_ROUTE
        - STREET
      title: USPSDeliveryType
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````